--- title: "Delete Object" url: https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/stratus/delete-object/ description: "This page describes the web SDK method to delete an object." last_updated: 2026-09-08T11:07:33Z service: Cloud Scale type: general related_links: - name: "Stratus Component Help Documentation" url: /en/cloud-scale/help/stratus/introduction - name: "Delete an Object Help Documentation" url: /en/cloud-scale/help/stratus/objects/manage-object/delete-object/ - name: "Java SDK" url: /en/sdk/java/v1/cloud-scale/stratus/delete-objects/ - name: "JavaScript SDK Documentation" url: /en/sdk/javascript/v1/cloudscale/stratus/delete-object/ - name: "Python SDK" url: /en/sdk/python/v1/cloud-scale/stratus/delete-objects/ - name: "iOS SDK" url: /en/sdk/ios/v2/cloud-scale/stratus/delete-object/ - name: "Android SDK" url: /en/sdk/android/v2/cloud-scale/stratus/delete-object/ - name: "Flutter SDK" url: /en/sdk/flutter/v2/cloud-scale/stratus/delete-object/ - name: "REST API" url: /en/api/code-reference/cloud-scale/stratus/get-all-buckets/#GetAllBuckets --- # Delete Object > **Note:** This SDK is currently in deprecation. Migrate to [JavaScript SDK](https://docs.catalyst.zoho.com/en/sdk/javascript/v1/cloudscale/stratus/delete-object/) now. Using this SDK method, you can delete a particular object by passing the complete name of the object to the `deleteObject()` method. The Bucket reference used in the below code snippet is the [component instance](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/stratus/initialize-stratus-instance/#initialize-bucket-instance). **Parameters Used**
Parameter Name Data Type Definition
`key` **String** A **Mandatory** parameter. Will hold the complete name of the object along with it's [path](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/objects/introduction/#path).
`options` **JSON Object**
  • `versionId`: An optional **String** parameter. If [Versioning](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/stratus-config/general-settings/#versioning) is enabled for your bucket then, this param will help you refer to a particular version using its unique Version ID.
  • `ttl`: An optional **String | Number** parameter. You can set **Time-to-Live** (TTL) in seconds for an object. The value should be greater than or equal to **60 seconds**.
### Delete Object With Object Name Using the following SDK method will delete the required object and all of its versions from the bucket. ```javascript // Delete an object const deleteObject = await bucket.deleteObject("key"); ``` ### Delete Object With Object Name and VersionID Using the following SDK method will delete a specific version of the object. ```javascript // Delete a specific version of an object after ttl time const options = { versionId: "01hthq82gwxtfyz6d9j8eg6k2f", // Delete an object with the given versionId ttl: 100 // Time to live in seconds }; const deleteObject = await bucket.deleteObject("key", options); ``` **Example Response** ```json { "status": 200, "content": {}, "message": "Object deleted successfully." } ``` **Possible Exception** * **404**: Object or Bucket Not Found